package com.ss.android.ugc.aweme.feed.model;

import com.bytedance.covode.number.Covode;
import com.google.gson.a.c;
import java.io.Serializable;

public final class InteractPermission implements Serializable {
    @c(LIZ = "duet")
    public int duet;
    @c(LIZ = "duet_privacy_setting")
    public int duetPrivacySettingControl;
    @c(LIZ = "stitch")
    public int stitch;
    @c(LIZ = "stitch_privacy_setting")
    public int stitchPrivacySettingControl;
    @c(LIZ = "upvote")
    public int upvote;

    static {
        Covode.recordClassIndex(78941);
    }

    public final int getDuet() {
        return this.duet;
    }

    public final int getDuetPrivacySettingControl() {
        return this.duetPrivacySettingControl;
    }

    public final int getStitch() {
        return this.stitch;
    }

    public final int getStitchPrivacySettingControl() {
        return this.stitchPrivacySettingControl;
    }

    public final int getUpvote() {
        return this.upvote;
    }

    public final void setDuet(int i) {
        this.duet = i;
    }

    public final void setDuetPrivacySettingControl(int i) {
        this.duetPrivacySettingControl = i;
    }

    public final void setStitch(int i) {
        this.stitch = i;
    }

    public final void setStitchPrivacySettingControl(int i) {
        this.stitchPrivacySettingControl = i;
    }

    public final void setUpvote(int i) {
        this.upvote = i;
    }
}
